> ## Documentation Index
> Fetch the complete documentation index at: https://docs.outerproduct.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Version Info



## OpenAPI

````yaml https://api.outerproduct.com/openapi.json get /version
openapi: 3.1.0
info:
  title: OuterProduct API
  description: >-
    Public-facing REST API for OuterProduct model distillation, prediction, and
    explanation.
  version: 0.1.8
servers: []
security: []
paths:
  /version:
    get:
      tags:
        - system
      summary: Version Info
      operationId: version_info_version_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VersionInfo'
components:
  schemas:
    VersionInfo:
      properties:
        version:
          type: string
          title: Version
          description: Package version (PEP 440), e.g. '0.1.5'.
        branch:
          anyOf:
            - type: string
            - type: 'null'
          title: Branch
          description: Git branch the image was built from; null when unstamped.
        revision:
          anyOf:
            - type: string
            - type: 'null'
          title: Revision
          description: Short commit SHA the image was built from; null when unstamped.
        build:
          type: string
          title: Build
          description: >-
            Fully formatted descriptor '<version>@<branch>:<sha>', degrading to
            '<version>' when unstamped.
      type: object
      required:
        - version
        - branch
        - revision
        - build
      title: VersionInfo
      description: Build identity reported by GET /version.

````